[gstreamer-plugins-bad-free] Make source cleanup script not die on first unknown directory

Benjamin Otte company at fedoraproject.org
Tue Apr 19 19:47:17 UTC 2011


commit 3c74284f80877ae1b697bae9242f67d732e08741
Author: Benjamin Otte <otte at redhat.com>
Date:   Tue Apr 19 20:21:07 2011 +0200

    Make source cleanup script not die on first unknown directory
    
    Instead, collect all unknown directories and report them at the end.

 gst-p-bad-cleanup.sh |   11 ++++++++++-
 1 files changed, 10 insertions(+), 1 deletions(-)
---
diff --git a/gst-p-bad-cleanup.sh b/gst-p-bad-cleanup.sh
index 32ef956..436143e 100755
--- a/gst-p-bad-cleanup.sh
+++ b/gst-p-bad-cleanup.sh
@@ -121,6 +121,7 @@ rm -rf $DIRECTORY
 tar xjf $SOURCE || error "Cannot unpack $SOURCE"
 pushd $DIRECTORY > /dev/null || error "Cannot open directory \"$DIRECTORY\""
 
+unknown=""
 for subdir in gst ext sys; do
 	for dir in $subdir/* ; do
 		# Don't touch non-directories
@@ -152,11 +153,19 @@ for subdir in gst ext sys; do
 			continue;
 		elif ! ( check_allowed $MODULE ) ; then
 			echo "Unknown module in $dir"
-			exit 1
+			unknown="$unknown $dir"
 		fi
 	done
 done
 
+echo
+
+if test "x$unknown" != "x"; then
+  echo -n "Aborting due to unkown modules: "
+  echo "$unknown" | sed "s/ /\n  /g"
+  exit 1
+fi
+
 autoreconf
 
 popd > /dev/null


More information about the scm-commits mailing list